const bodyParser = require("body-parser");
const express = require("express");
const path = require("path");
const app = express();
const url = require('url');
portnumber = 5001;

app.use(bodyParser.urlencoded({ extended: false }));
app.set("view engine", "ejs");
// js and css files reside in directory "public"
app.use(express.static(path.join(__dirname, "public")));
// .ejs-files, meaning html templates, are in "views" folder
app.listen(portnumber, () => {
  console.log(`server started on port ${portnumber}`);
});


app.get(["/", "/index.html"], (req, res) => {
  console.log("index.html requested");
  res.render("index", {
    pagetitle : "Bitten geben Sie Ihren Namen ein"
  });
});
app.get("/enter-name", function (req, res) {
  console.log("enter-name requested");
  query = url.parse(req.url, true).query;
  res.render("name-received", {
    pagetitle: "Vielen Dank",
    title: "Herr/Frau",
    Vorname : query.firstname,
    Nachname : query.lastname
  });
});